WriterImplV2 (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl.writer

## Class WriterImplV2

- java.lang.Object
- - org.apache.orc.impl.WriterImpl
  - - org.apache.orc.impl.writer.WriterImplV2

- All Implemented Interfaces:
    Closeable, AutoCloseable, WriterInternal, MemoryManager.Callback, Writer

      public class WriterImplV2
      extends WriterImpl

  An ORCv2 file writer. The file is divided into stripes, which is the natural unit of work when reading. Each stripe is buffered in memory until the memory reaches the stripe size and then it is written out broken down by columns. Each column is written by a TreeWriter that is specific to that type of column. TreeWriters may have children TreeWriters that handle the sub-types. Each of the TreeWriters writes the column's data as a set of streams. This class is unsynchronized like most Stream objects, so from the creation of an OrcFile and all access to a single instance has to be from a single thread. There are no known cases where these happen between different threads today. Caveat: the MemoryManager is created during WriterOptions create, that has to be confined to a single thread as well.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriterImplV2(FileSystem fs, Path path, OrcFile.WriterOptions opts)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.orc.impl.WriterImpl

      `addRowBatch, addUserMetadata, appendStripe, appendStripe, appendUserMetadata, checkMemory, close, createCodec, getCompressionCodec, getEstimatedBufferSize, getNumberOfRows, getRawDataSize, getSchema, getStatistics, increaseCompressionSize, writeIntermediateFooter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterImplV2

          public WriterImplV2(FileSystem fs,
                              Path path,
                              OrcFile.WriterOptions opts)
                       throws IOException

      Throws:
        `IOException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.